[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

FC5 problems with Java/Tomcat



(Preface: this is a work laptop I cannot upgrade, so suggestions to move
to F7 will be unhelpful)

When I try to start Tomcat, I get:

[root localhost ~]# service tomcat5 start
Starting tomcat5: /usr/bin/rebuild-jar-repository: error: Could not find
ecj Java extension for this JVM
/usr/bin/rebuild-jar-repository: error: Could not find jaf Java extension
for this JVM
/usr/bin/rebuild-jar-repository: error: Some detected jars were not found
for this jvm

When I do this, it thinks it's started.  I get the "[OK}", and the
/var/log/tomcat5/ logfiles don't have any errors


Here's what I have installed:
# rpm -qa | egrep '(java|tomcat|catalina|jvm|jaf|ecj)' | grep -v javadoc

libglade-java-2.12.5-1.fc5
graphviz-java-2.8-4.fc5
eclipse-ecj-3.1.2-1jpp_16fc
tomcat5-common-lib-5.5.23-11jpp
cairo-java-1.0.5-1.fc5
jakarta-commons-pool-tomcat5-1.3-10jpp
gcc-java-4.1.1-51.fc5
classpathx-jaf-1.0-10jpp
java_cup-manual-0.10-0.k.7jpp
tomcat5-jasper-5.5.23-11jpp
libgnome-java-2.12.4-1.fc5
jakarta-commons-collections-tomcat5-3.2-1jpp
java-1.4.2-gcj-compat-1.4.2.0-40jpp_83rh.4
tomcat5-jsp-2.0-api-5.5.23-11jpp
libgtk-java-2.8.7-2.fc5
tomcat5-servlet-2.4-api-5.5.23-11jpp
tomcat5-5.5.23-11jpp
ant-javamail-1.6.5-4jpp
java-1.4.2-gcj-compat-devel-1.4.2.0-40jpp_83rh.4
libgconf-java-2.12.4-5.fc5
jakarta-commons-dbcp-tomcat5-1.2.1-12jpp
libvte-java-0.12.1-5.fc5
tomcat5-server-lib-5.5.23-11jpp
glib-java-0.2.6-1.fc5
java-1.5.0-sun-compat-1.5.0.08-1jpp
java_cup-0.10-0.k.7jpp
java-1.4.2-gcj-compat-src-1.4.2.0-40jpp_83rh.4


I really don't have a lot of experience with Tomcat, but Googling on those
error messages wasn't helping.  Can someone steer me in the right
direction?

Thanks.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]